@()(implicit req: Request[AnyContent], user: Option[model.Tables.UsersRow])

<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-4">
    <a class="navbar-brand" href="@routes.HomeController.index()">FakeBaseball</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarContent">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="@routes.HomeController.index()">Home</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="@routes.TeamController.listTeams()">Teams</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="@routes.GameController.index()">Games</a>
            </li>
@*            <li class="nav-item">*@
@*                <a class="nav-link" href="@routes.CommitteeController.viewAgenda()">Committee</a>*@
@*            </li>*@
            @if(user.exists(_.isUmpire)){
                <li class="nav-item">
                    <a class="nav-link" href="@routes.UmpireController.index()">Umpiring</a>
                </li>
            }
            @if(user.exists(_.isCommissioner)){
                <li class="nav-item">
                    <a class="nav-link" href="@routes.AdminController.adminPage()">Admin</a>
                </li>
            }
            @if(user.exists(u => u.isGm || u.isCommissioner)){
                <li class="nav-item">
                    <a class="nav-link" href="@routes.GmController.freeAgents()">GM</a>
                </li>
            }
            <li class="nav-item">
                <a class="nav-link" href="@routes.ToolsController.calculator()">Calculator</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="@routes.ChallongeController.redirectToBracket()">Brackets</a>
            </li>
        </ul>
        @if(user.isDefined) {
            <div class="dropdown">
                <button class="btn btn-light dropdown-toggle" type="button" id="navbarUserDropdownButton" data-toggle="dropdown">
                    @user.get.redditName
                </button>
                <div class="dropdown-menu">
                    <a class="dropdown-item" href="@routes.AccountController.myAccount()">My Account</a>
                    <a class="dropdown-item" href="@routes.PlayerController.myPlayer()">My Player</a>
                    <a class="dropdown-item" href="@routes.AuthController.signOut()">Sign Out</a>
                </div>
            </div>
        } else {
            <div class="d-none d-md-block">
                <a href="@routes.AuthController.redirectToSignIn(req.path, false)">
                    <button class="btn btn-light">
                        <img src="@routes.Assets.at("images/reddit_logo.png")" height="24sp" width="auto" class="mr-1" alt="" />
                        Sign in with Reddit
                    </button>
                </a>
            </div>
            <div class="d-block d-md-none">
                <a href="@routes.AuthController.redirectToSignIn(req.path, true)">
                    <button class="btn btn-light">
                        <img src="@routes.Assets.at("images/reddit_logo.png")" height="24sp" width="auto" class="mr-1" alt="" />
                        Sign in with Reddit
                    </button>
                </a>
            </div>
            <a href="@routes.AuthController.redirectToGoogleAuth()" class="ml-sm-2">
                <button class="btn btn-light my-2 my-sm-0">
                    <img src="@routes.Assets.at("images/google_logo.png")" height="24sp" width="auto" class="mr-1" alt="" />
                    Sign in with Google
                </button>
            </a>
        }
    </div>
</nav>
